<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
  xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto"
  xmlns:tools="http://schemas.android.com/tools"
  android:layout_width="match_parent"
  android:layout_height="match_parent"
  android:background="@color/darkGrey">

  <LinearLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_alignParentStart="true"
    android:layout_alignParentTop="true"
    android:layout_marginTop="30dp"
    android:orientation="vertical">

    <TextView
      android:id="@+id/text_title"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:textSize="30dp"
      android:layout_centerInParent="true"
      android:textColor="@color/black"
      tools:text="@string/sign_up_register_pin_title"
      android:textAlignment="center"
      />
    <Space
      android:layout_width="match_parent"
      android:layout_height="30dp"/>
    <TextView
      android:id="@+id/text_guide"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_centerInParent="true"
      android:textColor="@color/black"
      tools:text="@string/sign_up_register_pin"
      android:textAlignment="center"
      />
  </LinearLayout>

  <LinearLayout
    android:layout_width="match_parent"
    android:layout_height="80dp"
    android:layout_alignParentStart="true"
    android:layout_alignParentTop="true"
    android:layout_marginTop="120dp"
    android:gravity="center"
    android:orientation="horizontal"
    >

    <ImageView
      android:id="@+id/image_pin_code1"
      android:layout_width="20dp"
      android:layout_height="20dp"
      android:layout_marginLeft="5dp"
      android:layout_marginRight="5dp"
      android:src="@drawable/circle_empty"
      />

    <ImageView
      android:id="@+id/image_pin_code2"
      android:layout_width="20dp"
      android:layout_height="20dp"
      android:layout_marginLeft="5dp"
      android:layout_marginRight="5dp"
      android:src="@drawable/circle_empty"
      />

    <ImageView
      android:id="@+id/image_pin_code3"
      android:layout_width="20dp"
      android:layout_height="20dp"
      android:layout_marginLeft="5dp"
      android:layout_marginRight="5dp"
      android:src="@drawable/circle_empty"
      />

    <ImageView
      android:id="@+id/image_pin_code4"
      android:layout_width="20dp"
      android:layout_height="20dp"
      android:layout_marginLeft="5dp"
      android:layout_marginRight="5dp"
      android:src="@drawable/circle_empty"
      />

  </LinearLayout>

  <LinearLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_alignParentBottom="true"
    android:orientation="vertical"

    >

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_gravity="bottom"
      android:orientation="horizontal"
      android:weightSum="3"
      >

      <Button
        android:id="@+id/button_0"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        tools:text="1"
        />

      <Button
        android:id="@+id/button_1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        tools:text="1"
        />

      <Button
        android:id="@+id/button_2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        tools:text="1"
        />
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_gravity="bottom"
      android:orientation="horizontal"
      android:weightSum="3"
      >

      <Button
        android:id="@+id/button_3"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        tools:text="1"
        />

      <Button
        android:id="@+id/button_4"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        tools:text="1"
        />

      <Button
        android:id="@+id/button_5"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        tools:text="1"
        />
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_gravity="bottom"
      android:orientation="horizontal"
      android:weightSum="3"
      >

      <Button
        android:id="@+id/button_6"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        tools:text="1"
        />

      <Button
        android:id="@+id/button_7"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        tools:text="1"
        />

      <Button
        android:id="@+id/button_8"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        tools:text="1"
        />
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:orientation="horizontal"
      android:weightSum="3"
      >

      <Button
        android:id="@+id/button_shuffle"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:text="@string/sign_up_shuffle"/>

      <Button
        android:id="@+id/button_9"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        tools:text="1"
        />

      <Button
        android:id="@+id/button_delete"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:text="x"
        />
    </LinearLayout>
  </LinearLayout>
</RelativeLayout>